using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Car_Truck_SUV_Demo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void createObjectsButton_Click(object sender, EventArgs e)
        {
            // Utworzenie obiektu klasy Car przedstawiającego używane czterodrzwiowe
            // BMW z roku 2001 o przebiegu 70 000 km, w cenie 15 000 zł.
            Car myCar = new Car();
            myCar.Make = "BMW";
            myCar.Model = "2001";
            myCar.Mileage = 70000;
            myCar.Price = 15000;
            myCar.Doors = 4;

            // Utworzenie obiektu klasy Truck przedstawiającego używaną toyotę
            // pickup z roku 2002 o przebiegu 40 000 km, w cenie 12 000 zł oraz
            // z napędem na cztery koła.
            Truck myTruck = new Truck();
            myTruck.Make = "Toyota";
            myTruck.Model = "2002";
            myTruck.Mileage = 40000;
            myTruck.Price = 12000;
            myTruck.Drive = "na cztery koła";

            // Utworzenie obiektu klasy SportUtility przedstawiającego używane
            // pięciomiejscowe volvo z roku 2000 o przebiegu 30 000 km,
            // w cenie 15 500 zł.
            SportUtility mySUV = new SportUtility();
            mySUV.Make = "Volvo";
            mySUV.Model = "2000";
            mySUV.Mileage = 30000;
            mySUV.Price = 15500;
            mySUV.Passengers = 5;

            // Wyświetlenie danych samochodu osobowego.
            MessageBox.Show(myCar.Make + ", rocznk: " + myCar.Model +
                ", przebieg: " + myCar.Mileage + " km, cena: " +
                myCar.Price.ToString("c") + ", liczba drzwi: " +
                myCar.Doors);

            // Wyświetlenie danych samochodu terenowego.
            MessageBox.Show(myTruck.Make + ", rocznik: " + myTruck.Model +
                ", przebieg: " + myTruck.Mileage + " km, cena: " +
                myTruck.Price.ToString("c") + ", napęd " +
                myTruck.Drive);

            // Wyświetlenie danych samochodu typu SUV.
            MessageBox.Show(mySUV.Make + ", rocznik: " + mySUV.Model +
                ", przebieg: " + mySUV.Mileage + " km, cena: " +
                mySUV.Price.ToString("c") + ", liczba miejsc: "
                + mySUV.Passengers);
        }

        private void exitButton_Click(object sender, EventArgs e)
        {
            // Zamknięcie formularza. 
            this.Close();
        }
    }
}
